Skip to main content
`Ctrl`+`K`

# MFNInitializePackage

This function initializes everything in the `MFN` package. It is called from `PetscDLLibraryRegister_slepcmfn()` when using dynamic libraries, and on the first call to `MFNCreate()` when using shared or static libraries.

## Synopsis

    PetscErrorCode MFNInitializePackage(void)

## Note

This function never needs to be called by SLEPc users.

## See Also

MFN: Matrix Function, `MFN`, `SlepcInitialize()`, `MFNFinalizePackage()`

## Level

developer

## Location

src/mfn/interface/dlregismfn.c

Index of all MFN routines Table of Contents for all manual pages Index of all manual pages